Search results for

“Request failed with http status code 503”

200,973 results found

Post

Replies

Boosts

Views

Activity

NSPersistentCloudKitContainer - CloudKit Error 503 after inserting batch of elements
When I sync my large Core Data database with NSPersistentCloudKitContainer, inserting new rows works well for up to 10k rows. (in batches of ~400 inserts) After that, CloudKit receives a 503 Service Unavailable error with a timeout. Here's the log: CoreData: CloudKit: CoreData+CloudKit: -[PFCloudKitExporter exportIfNecessary]_block_invoke_2(153): : Found 22161 objects needing export. 2021-01-14 11:26:54.985447+0100 [1299:350390] [error] error: CoreData+CloudKit: -[NSCloudKitMirroringDelegate _exportFinishedWithResult:exporter:](1163): : Export failed with error: The API documentation - https://developer.apple.com/library/archive/documentation/DataManagement/Conceptual/CloudKitWebServicesReference/ErrorCodes.html#//apple_ref/doc/uid/TP40015240-CH4-SW1 says 503 means interal server error (try again later) and also says that for throttling the status code would be 429, so I guess it's not rate limiting? I only found that there is a rate limit of 40 requests
0
0
701
Jan ’21
Subscription Status Request Not Working.
I have an app that once the user launches the app it checks whether they have an active subscription purchased through in-app purchases to access bonus content. In the development environment it works correctly. However, in production, it does not. It says everyone is subscribed. No one has purchased a subscription yet because the response from Apple or my parsing of the response is making everyone have an active subscription. I thought the standard was to test to see if a user has a subscription because they can cancel it and return to the app. So I'm just checking to see if they have one on launch. Could this be because they may not have any data returned from the receipt server so therefore there is not status field? The parsing starts on line 63. Thanks in advance.-(void)checkInAppPurchaseStatus:(NSURL *)receiptURL withReceipt:(NSData *)receipt completionBlock:(void (^)(BOOL success, BOOL isActive))completionBlock{ / BOOL sandbox = [[receiptURL lastPathComponent] isEqualToString:@sandboxReceipt];
2
0
1.2k
Aug ’17
Reply to How do I send a request using the Apple Pay merchant certificate
I have finally solved this problem. My code is as follows for friends who need it. 'https://cn-apple-pay-gateway.apple.com/', // or https://apple-pay-gateway.apple.com/ 'timeout' => 30.0, 'http_errors' => false, 'transport' => [], ]); // key and cert option $options = [ RequestOptions::HEADERS => [ 'Content-Type' => 'application/json', ], RequestOptions::JSON => [ 'merchantIdentifier' => 'merchant.hiseer.web', 'displayName' => 'displayName', 'initiative' => 'web', 'initiativeContext' => 'shop.wowseer.com', ], 'ssl_key' => './cert/merchantKey.key', // key file 'cert' => './cert/merchantCert.pem', // cert file ]; try { // post request $response = $client->post('paymentservices/paymentSession', $options); // check status code if ($response->getStatusCode() === 200) { // echo response body echo $response->getBody()->getContents(); } else { echo Failed to send request: . $response->getStatus
Topic: Safari & Web SubTopic: General Tags:
Apr ’25
Reply to Service Unavailable Error on all CloudKit queries, HTTP 503, CloudKit error code 6
I'm having this same issue with one of my queries now, without changing any code. The other queries in the same app still work normally, except once that failing query is called, then I get a This operation has been rate limited due to an earlier error error on all queries for some time. The developer documentation clearly states 503 is an internal error of CloudKit (https://developer.apple.com/library/archive/documentation/DataManagement/Conceptual/CloudKitWebServicesReference/ErrorCodes.html) and we should just try again :D.
Topic: App & System Services SubTopic: iCloud Tags:
Dec ’21
Reply to No symbols for paired Apple Watch
Ben, seeing this in Console.app:(I fouled the URL to avoid moderation.)6/24/15 8:33:56.009 PM Xcode[28520]: DVTDownloadable: Download Failed. Downloadable: https:/devimages.apple.com.edgekey.net/downloads/xcode/dsc/Watch1_2_13S5255d.dmg. Error Domain=DataWritingNSURLConnectionDelegate Code=1 Failed with HTTP status 404: not found UserInfo=0x7f8d805204f0 {NSLocalizedDescription=Failed with HTTP status 404: not found, NSHTTPURLResponse=<NSHTTPURLResponse: 0x7f8d820aba70> { URL: https : / / devimages.apple.com.edgekey.net/downloads/xcode/dsc/Watch1_2_13S5255d.dmg } { status code: 404, headers { Connection = keep-alive; Content-Length = 16; Content-Type = text/html; charset=iso-8859-1; Date = Thu, 25 Jun 2015 00:33:55 GMT; Server = Apache;} }}
Topic: App & System Services SubTopic: Core OS Tags:
Jun ’15
Request for Review Status Update
Hello, It has been one week since the review was submitted, but the status still appears as Pending Review. Could you please check the current review status and inform us if there are any reasons for the delay? We would also appreciate it if you could provide an estimated timeline for completion. We look forward to your response. Thank you.
0
0
49
Apr ’26
VNCoreMLTransform - request failed
Keep getting error : I have tried Picker for File, Photo Library , both same results . Debugging the resize for 360x360 but still facing this error. The model I'm trying to implement is created with CreateMLComponents The process is from example of WWDC 2022 Banana Ripeness , I have used index for each .jpg . Prediction Failed: The VNCoreMLTransform request failed Is there some possible way to solve it or is error somewhere in training of model ?
1
0
588
Mar ’25
APNS with JWT Token - curl: (55) Failed sending HTTP POST request
Hi, I am trying to send a push notification via PHP-curl and command-line curl for http2 but after trying possible methods I end up getting the same error response curl: (55) Failed sending HTTP POST request Curl H Content-Type: application/json -X POST -http2 https://api.development.push.apple.com/3/device/DEVICE_TOKEN H ':method: POST' H ':scheme: https' H ':path: /3/device/DEVICE_TOKEN' H 'authorization: bearer TOKEN' H 'apns-id: b150795-35ea-4894-a289-85e343936cca' H 'apns-push-type: alert' H 'apns-expiration: 1609919807' H 'apns-priority: 10' H 'apns-topic: com.company.suffix' H 'apns-collapse-id: 9cb3190c-6046-4b7c-8cf4-61c6d05fd724' Output: Connected to api.development.push.apple.com (17.188.138.73) port 443 (#0) ALPN, offering h2 ALPN, offering http/1.1 successfully set certificate verify locations: t CAfile: /etc/ssl/certs/ca-certificates.crt tCApath: none TLSv1.3 (OUT), TLS handshake, Client hello (1): TLSv1.3 (IN), TLS handshake, Serv
2
0
2.2k
Jan ’21
Huge increase in CKErrorServerRejectedRequest / CKHTTPStatus=503 errors
Hi, My app has been receiving a huge increase in the number of CKHTTPStatus=503 errors over the past couple of months. I created a thread before, and also a Feedback (FB13300807) over a month ago, but I haven't gotten any assistance on this, and am wondering if there is any better way to get the attention of a CloudKit engineer who might be able to help. From my users, I was able to print out the error code and error userInfo in the console: error.code == 15 (the same as CKErrorServerRejectedRequest), UserInfo={ContainerID=, CKHTTPStatus=503, RequestUUID=17C6B9B9-35DD-411B-8AED-7A497075D228, OperationID=5285362CCD2DDB32}}, CKHTTPStatus=503} How can I get this issue addressed? A lot of users are reporting this issue and it's creating a big support burden.
1
0
529
Nov ’23
Failed to render and update autolayout status for ViewController
Using Xcode Version 7.1 beta (7B75) I get Failed to render and update autolayout status for ViewControllerSteps1) Open new File => TVOS Application => Tabbed Application2) Build Application3) 3 errorsFailed to render and update autolayout status for FirstViewController.. IBAppleTVSimulatorAgent.app(22023) failed to launchFailed to render and update autolayout status for SecondViewController... IBAppleTVSimulatorAgent.app(22023) failed to launchFailed to render and update autolayout status for UITabBarViewController.. IBAppleTVSimulatorAgent.app(22023) failed to launchNo changes made to application. Attempting to build it on AppleTV Schema rather than simulator
1
0
764
Sep ’15
503 Service Unavailable Error with Sandbox iTunes API
Hello, I am currently integrating with the iTunes Sandbox environment, specifically with APIs like: https://sandbox.itunes.apple.com/inApps/v1/subscriptions/12345 However, I consistently receive a 503 - Http/1.1 Service Unavailable error in response. Below is the typical response I get: Http/1.1 Service Unavailable I've tried sending requests from different IP addresses and servers, but all attempts result in the same 503 error. Could anyone provide guidance on whether this is a temporary issue with the sandbox environment or if there is something I need to adjust in my setup? Any help would be greatly appreciated! Thank you.
1
0
451
Oct ’24
Reply to Getting 400 error on iOS 17 download in XCode
So more information about the error message: Failed with HTTP status 400: bad request Domain: DataGatheringNSURLSessionDelegate Code: 1 User Info: { DVTErrorCreationDateKey = 2023-09-20 7:40:37U202fam +0000; } -- System Information macOS Version 14.0 (Build 23A339) Xcode 15.0 (22265) (Build 15A240d) Timestamp: 2023-09-20T09:40:37+02:00
Sep ’23
NSPersistentCloudKitContainer - CloudKit Error 503 after inserting batch of elements
When I sync my large Core Data database with NSPersistentCloudKitContainer, inserting new rows works well for up to 10k rows. (in batches of ~400 inserts) After that, CloudKit receives a 503 Service Unavailable error with a timeout. Here's the log: CoreData: CloudKit: CoreData+CloudKit: -[PFCloudKitExporter exportIfNecessary]_block_invoke_2(153): : Found 22161 objects needing export. 2021-01-14 11:26:54.985447+0100 [1299:350390] [error] error: CoreData+CloudKit: -[NSCloudKitMirroringDelegate _exportFinishedWithResult:exporter:](1163): : Export failed with error: The API documentation - https://developer.apple.com/library/archive/documentation/DataManagement/Conceptual/CloudKitWebServicesReference/ErrorCodes.html#//apple_ref/doc/uid/TP40015240-CH4-SW1 says 503 means interal server error (try again later) and also says that for throttling the status code would be 429, so I guess it's not rate limiting? I only found that there is a rate limit of 40 requests
Replies
0
Boosts
0
Views
701
Activity
Jan ’21
Subscription Status Request Not Working.
I have an app that once the user launches the app it checks whether they have an active subscription purchased through in-app purchases to access bonus content. In the development environment it works correctly. However, in production, it does not. It says everyone is subscribed. No one has purchased a subscription yet because the response from Apple or my parsing of the response is making everyone have an active subscription. I thought the standard was to test to see if a user has a subscription because they can cancel it and return to the app. So I'm just checking to see if they have one on launch. Could this be because they may not have any data returned from the receipt server so therefore there is not status field? The parsing starts on line 63. Thanks in advance.-(void)checkInAppPurchaseStatus:(NSURL *)receiptURL withReceipt:(NSData *)receipt completionBlock:(void (^)(BOOL success, BOOL isActive))completionBlock{ / BOOL sandbox = [[receiptURL lastPathComponent] isEqualToString:@sandboxReceipt];
Replies
2
Boosts
0
Views
1.2k
Activity
Aug ’17
Reply to How do I send a request using the Apple Pay merchant certificate
I have finally solved this problem. My code is as follows for friends who need it. 'https://cn-apple-pay-gateway.apple.com/', // or https://apple-pay-gateway.apple.com/ 'timeout' => 30.0, 'http_errors' => false, 'transport' => [], ]); // key and cert option $options = [ RequestOptions::HEADERS => [ 'Content-Type' => 'application/json', ], RequestOptions::JSON => [ 'merchantIdentifier' => 'merchant.hiseer.web', 'displayName' => 'displayName', 'initiative' => 'web', 'initiativeContext' => 'shop.wowseer.com', ], 'ssl_key' => './cert/merchantKey.key', // key file 'cert' => './cert/merchantCert.pem', // cert file ]; try { // post request $response = $client->post('paymentservices/paymentSession', $options); // check status code if ($response->getStatusCode() === 200) { // echo response body echo $response->getBody()->getContents(); } else { echo Failed to send request: . $response->getStatus
Topic: Safari & Web SubTopic: General Tags:
Replies
Boosts
Views
Activity
Apr ’25
Reply to Service Unavailable Error on all CloudKit queries, HTTP 503, CloudKit error code 6
I'm having this same issue with one of my queries now, without changing any code. The other queries in the same app still work normally, except once that failing query is called, then I get a This operation has been rate limited due to an earlier error error on all queries for some time. The developer documentation clearly states 503 is an internal error of CloudKit (https://developer.apple.com/library/archive/documentation/DataManagement/Conceptual/CloudKitWebServicesReference/ErrorCodes.html) and we should just try again :D.
Topic: App & System Services SubTopic: iCloud Tags:
Replies
Boosts
Views
Activity
Dec ’21
Reply to No symbols for paired Apple Watch
Ben, seeing this in Console.app:(I fouled the URL to avoid moderation.)6/24/15 8:33:56.009 PM Xcode[28520]: DVTDownloadable: Download Failed. Downloadable: https:/devimages.apple.com.edgekey.net/downloads/xcode/dsc/Watch1_2_13S5255d.dmg. Error Domain=DataWritingNSURLConnectionDelegate Code=1 Failed with HTTP status 404: not found UserInfo=0x7f8d805204f0 {NSLocalizedDescription=Failed with HTTP status 404: not found, NSHTTPURLResponse=<NSHTTPURLResponse: 0x7f8d820aba70> { URL: https : / / devimages.apple.com.edgekey.net/downloads/xcode/dsc/Watch1_2_13S5255d.dmg } { status code: 404, headers { Connection = keep-alive; Content-Length = 16; Content-Type = text/html; charset=iso-8859-1; Date = Thu, 25 Jun 2015 00:33:55 GMT; Server = Apache;} }}
Topic: App & System Services SubTopic: Core OS Tags:
Replies
Boosts
Views
Activity
Jun ’15
Request for Review Status Update
Hello, It has been one week since the review was submitted, but the status still appears as Pending Review. Could you please check the current review status and inform us if there are any reasons for the delay? We would also appreciate it if you could provide an estimated timeline for completion. We look forward to your response. Thank you.
Replies
0
Boosts
0
Views
49
Activity
Apr ’26
VNCoreMLTransform - request failed
Keep getting error : I have tried Picker for File, Photo Library , both same results . Debugging the resize for 360x360 but still facing this error. The model I'm trying to implement is created with CreateMLComponents The process is from example of WWDC 2022 Banana Ripeness , I have used index for each .jpg . Prediction Failed: The VNCoreMLTransform request failed Is there some possible way to solve it or is error somewhere in training of model ?
Replies
1
Boosts
0
Views
588
Activity
Mar ’25
APNS with JWT Token - curl: (55) Failed sending HTTP POST request
Hi, I am trying to send a push notification via PHP-curl and command-line curl for http2 but after trying possible methods I end up getting the same error response curl: (55) Failed sending HTTP POST request Curl H Content-Type: application/json -X POST -http2 https://api.development.push.apple.com/3/device/DEVICE_TOKEN H ':method: POST' H ':scheme: https' H ':path: /3/device/DEVICE_TOKEN' H 'authorization: bearer TOKEN' H 'apns-id: b150795-35ea-4894-a289-85e343936cca' H 'apns-push-type: alert' H 'apns-expiration: 1609919807' H 'apns-priority: 10' H 'apns-topic: com.company.suffix' H 'apns-collapse-id: 9cb3190c-6046-4b7c-8cf4-61c6d05fd724' Output: Connected to api.development.push.apple.com (17.188.138.73) port 443 (#0) ALPN, offering h2 ALPN, offering http/1.1 successfully set certificate verify locations: t CAfile: /etc/ssl/certs/ca-certificates.crt tCApath: none TLSv1.3 (OUT), TLS handshake, Client hello (1): TLSv1.3 (IN), TLS handshake, Serv
Replies
2
Boosts
0
Views
2.2k
Activity
Jan ’21
Huge increase in CKErrorServerRejectedRequest / CKHTTPStatus=503 errors
Hi, My app has been receiving a huge increase in the number of CKHTTPStatus=503 errors over the past couple of months. I created a thread before, and also a Feedback (FB13300807) over a month ago, but I haven't gotten any assistance on this, and am wondering if there is any better way to get the attention of a CloudKit engineer who might be able to help. From my users, I was able to print out the error code and error userInfo in the console: error.code == 15 (the same as CKErrorServerRejectedRequest), UserInfo={ContainerID=, CKHTTPStatus=503, RequestUUID=17C6B9B9-35DD-411B-8AED-7A497075D228, OperationID=5285362CCD2DDB32}}, CKHTTPStatus=503} How can I get this issue addressed? A lot of users are reporting this issue and it's creating a big support burden.
Replies
1
Boosts
0
Views
529
Activity
Nov ’23
Failed to render and update autolayout status for ViewController
Using Xcode Version 7.1 beta (7B75) I get Failed to render and update autolayout status for ViewControllerSteps1) Open new File => TVOS Application => Tabbed Application2) Build Application3) 3 errorsFailed to render and update autolayout status for FirstViewController.. IBAppleTVSimulatorAgent.app(22023) failed to launchFailed to render and update autolayout status for SecondViewController... IBAppleTVSimulatorAgent.app(22023) failed to launchFailed to render and update autolayout status for UITabBarViewController.. IBAppleTVSimulatorAgent.app(22023) failed to launchNo changes made to application. Attempting to build it on AppleTV Schema rather than simulator
Replies
1
Boosts
0
Views
764
Activity
Sep ’15
503 Service Unavailable Error with Sandbox iTunes API
Hello, I am currently integrating with the iTunes Sandbox environment, specifically with APIs like: https://sandbox.itunes.apple.com/inApps/v1/subscriptions/12345 However, I consistently receive a 503 - Http/1.1 Service Unavailable error in response. Below is the typical response I get: Http/1.1 Service Unavailable I've tried sending requests from different IP addresses and servers, but all attempts result in the same 503 error. Could anyone provide guidance on whether this is a temporary issue with the sandbox environment or if there is something I need to adjust in my setup? Any help would be greatly appreciated! Thank you.
Replies
1
Boosts
0
Views
451
Activity
Oct ’24
Reply to "Parent reference max collection limit exceeded"
The occassional HTTP 503 errors and timeouts are gone as of today! Yay!
Topic: App & System Services SubTopic: iCloud Tags:
Replies
Boosts
Views
Activity
Apr ’17
Reply to Getting 400 error on iOS 17 download in XCode
So more information about the error message: Failed with HTTP status 400: bad request Domain: DataGatheringNSURLSessionDelegate Code: 1 User Info: { DVTErrorCreationDateKey = 2023-09-20 7:40:37U202fam +0000; } -- System Information macOS Version 14.0 (Build 23A339) Xcode 15.0 (22265) (Build 15A240d) Timestamp: 2023-09-20T09:40:37+02:00
Replies
Boosts
Views
Activity
Sep ’23
download.developer.apple.com 503 Service Unavailable
When i tried downlaod Command_Line_Tools_for_Xcode_12.5.1 from https://download.developer.apple.com I got a error: The following error was encountered: Connection Failed The system returned: (71) Protocol error The remote host or network may be down. Please try the request again. what should i do .....
Replies
2
Boosts
0
Views
432
Activity
Aug ’21
Reply to Xcode 15 - Unable to install iOS 17 Simulator runtime
Same here when try to install iOS 17 with xCode Failed with HTTP status 400: bad request Domain: DataGatheringNSURLSessionDelegate Code: 1 User Info: { DVTErrorCreationDateKey = 2023-09-19 09:06:58 +0000; } System Information macOS Version 14.0 (Build 23A339) Xcode 15.0 (22265) (Build 15A240d) Timestamp: 2023-09-19T11:06:58+02:00
Replies
Boosts
Views
Activity
Sep ’23